org.apache.hc.core5.http.nio.support

## Class AsyncServerFilterChainExchangeHandlerFactory

- java.lang.Object
- - org.apache.hc.core5.http.nio.support.AsyncServerFilterChainExchangeHandlerFactory

- All Implemented Interfaces:
    HandlerFactory<AsyncServerExchangeHandler>

      public final class AsyncServerFilterChainExchangeHandlerFactory
      extends Object
      implements HandlerFactory<AsyncServerExchangeHandler>

  Factory for `AsyncServerExchangeHandler` instances that delegate request processing to a `AsyncServerFilterChainElement`.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncServerFilterChainExchangeHandlerFactory(AsyncServerFilterChainElement filterChain)`
    `AsyncServerFilterChainExchangeHandlerFactory(AsyncServerFilterChainElement filterChain, Callback<Exception> exceptionCallback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsyncServerExchangeHandler` | `create(HttpRequest request, HttpContext context)` Creates a new handler instance based on properties of an incoming request message..

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncServerFilterChainExchangeHandlerFactory

          public AsyncServerFilterChainExchangeHandlerFactory(AsyncServerFilterChainElement filterChain,
                                                              Callback<Exception> exceptionCallback)

    - #### AsyncServerFilterChainExchangeHandlerFactory

          public AsyncServerFilterChainExchangeHandlerFactory(AsyncServerFilterChainElement filterChain)

  - ### Method Detail

    - #### create

          public AsyncServerExchangeHandler create(HttpRequest request,
                                                   HttpContext context)
                                            throws HttpException

      Description copied from interface: `HandlerFactory`
      Creates a new handler instance based on properties of an incoming request message..
      Specified by:
        `create` in interface `HandlerFactory<AsyncServerExchangeHandler>`
      Parameters:
        `request` - the incoming request head.
        `context` - the actual execution context.
      Returns:
        handler
      Throws:
        `HttpException` - in case of an HTTP protocol violation.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.